## org.h2.result
Class Row

    java.lang.Object
      org.h2.result.Row

All Implemented Interfaces:
  SearchRow

Direct Known Subclasses:
  RowImpl

    public abstract class Row

extends java.lang.Object
implements SearchRow

Represents a row in a table.

Field Summary
`static Row[]` `EMPTY_ARRAY`
`static int` `MEMORY_CALCULATE`

Constructor Summary
`Row()`

Method Summary
`abstract void` `commit()` This record has been committed.
`abstract int` `getByteCount(Data dummy)` Get the number of bytes required for the data.
`abstract Row` `getCopy()` Get a copy of the row that is distinct from (not equal to) this row.
`abstract int` `getSessionId()` Get session id.
`abstract Value[]` `getValueList()` Get values.
`abstract boolean` `isDeleted()` Check if the row is deleted.
`abstract boolean` `isEmpty()` Check if this is an empty row.
`abstract void` `setDeleted(boolean deleted)` Mark the row as deleted.
`abstract void` `setSessionId(int sessionId)` Set session id.
`abstract void` `setVersion(int version)` Set version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.h2.result.SearchRow
`getColumnCount, getKey, getMemory, getValue, getVersion, setKey, setKeyAndVersion, setValue`

Field Detail

### MEMORY_CALCULATE

    public static final int MEMORY_CALCULATE

See Also:
  Constant Field Values

### EMPTY_ARRAY

    public static final Row[] EMPTY_ARRAY

Constructor Detail

### Row

    public Row()

Method Detail

### getCopy

    public abstract Row getCopy()

  Get a copy of the row that is distinct from (not equal to) this row. This is used for FOR UPDATE to allow pseudo-updating a row.

  Returns:
    a new row with the same data

### setVersion

    public abstract void setVersion(int version)

  Set version.

  Parameters:
    `version` - row version

### getByteCount

    public abstract int getByteCount(Data dummy)

  Get the number of bytes required for the data.

  Parameters:
    `dummy` - the template buffer
  Returns:
    the number of bytes

### isEmpty

    public abstract boolean isEmpty()

  Check if this is an empty row.

  Returns:
    `true` if the row is empty

### setDeleted

    public abstract void setDeleted(boolean deleted)

  Mark the row as deleted.

  Parameters:
    `deleted` - deleted flag

### setSessionId

    public abstract void setSessionId(int sessionId)

  Set session id.

  Parameters:
    `sessionId` - the session id

### getSessionId

    public abstract int getSessionId()

  Get session id.

  Returns:
    the session id

### commit

    public abstract void commit()

  This record has been committed. The session id is reset.

### isDeleted

    public abstract boolean isDeleted()

  Check if the row is deleted.

  Returns:
    `true` if the row is deleted

### getValueList

    public abstract Value[] getValueList()

  Get values.

  Returns:
    values